<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <link href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <link rel="stylesheet" type="text/css" href="css/styles.css">
    <title>Passion Cinoche</title>


    <script src="https://unpkg.com/vue"></script>
    <script src="https://unpkg.com/vueperslides"></script>
    <link href="https://unpkg.com/vueperslides/dist/vueperslides.css" rel="stylesheet">


</head>
<body>

    <header>
        <h1>Passion cinoche</h1>
    </header>

    <div id="app" class="container">


        <div>
            <form class="form-inline active-pink">
                <input  @keyUp="searchFilm()" v-model=filmName class="form-control form-control-sm ml-3 w-75" type="text" placeholder="Rechercher">
            </form>

            <div v-if="filmSearchList">
                <div style="display:flex; max-width: 100%; overflow: auto;">
                    <div v-for="film in filmSearchList" class="col-sm-6 col-md-4 col-xl-3">
                        <img @click="showfilm(film.id)" class="img-fluid" :src="'https://image.tmdb.org/t/p/w500/' +  film.poster_path " />
                    </div>
                </div>

            </div>

        </div>




        <div class="row">
            <div class="col-md-8">
                <div  v-if="selectedFilm">
                    <div class="row section" >
                        <div class="col-md-4">
                            <img class="img-fluid" :src="'https://image.tmdb.org/t/p/w500/' +  selectedFilm.poster_path " />
                        </div>

                        <div class="col-md-6">

                            <h3>{{ selectedFilm.title }}</h3>
                            <legend>{{ selectedFilm.original_title }} ({{ selectedFilm.original_language }}) Sortie : {{ getFrenchDate(selectedFilm.release_date)}} </legend>
                            <p>
                                {{ selectedFilm.overview }}
                            </p>
                        </div>
                    </div>


                    <div class="section">
                        <h4>Informations</h4>
                        <ul>
                            <li>Popularité : {{ selectedFilm.popularity }}</li>
                            <li>Note : {{ selectedFilm.vote_average }}</li>
                            <li>Nombre de votes : {{ selectedFilm.vote_count }}</li>
                        </ul>
                    </div>

                    <div class="section">
                        <h4>Intéractions</h4>
                    </div>



                </div>
            </div>
            <div class="col-md-3">
                <div>
                    <h2>Decouverte</h2>
                    <div v-for="film in randFilmList">
                        <h3>{{ film.title }}</h3>
                        <img  @click="showfilm(film.id)" class="img-fluid" :src="'https://image.tmdb.org/t/p/w500/' +  film.poster_path " />
                        <p>{{ film.overview | excerpt(60) }}</p>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <script src="https://unpkg.com/axios/dist/axios.min.js"></script>
    <script type="text/javascript" src="js/vue.js"></script>

    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/vue/2.6.10/vue.js"></script>
    <script type="text/javascript" src="js/app.js"></script>
</body>
</html>
